// ==UserScript==
// @name        SaveFrom.net link modifier
// @version     2.00
// @date        2010-07-29
// @download    http://savefrom.net/files/savefrom_net_link_modifier.js
//
// @exclude     http://savefrom.net/*
// @exclude     http://sfrom.net/*
// @exclude     http://google.*/*
// @exclude     http://*.google.*/*
// ==/UserScript==

(function(){
  function onLoad()
  {    
    if(window.savefrom__lm)
      return;
      
    var s = document.createElement('script');
    s.type = 'text/javascript';
    s.src = 'http://savefrom.net/webmaster/link_modifier.js';
    s.onload = function(){
      if(window.savefrom__lm)
      {
        savefrom__lm.setLanguage('ru');
        savefrom__lm.useSmallButton = true;
        savefrom__lm.modifyTextLink = false;
        savefrom__lm.sfref = 'ujs;sf;opera;';
        savefrom__lm.go();
      }
    };
    document.documentElement.appendChild(s);
  }

  if(typeof(opera.version) == 'function' && opera.version() >= 9)
    document.addEventListener('DOMContentLoaded', onLoad, false);    
  else
    document.addEventListener('load', onLoad, false);
})();